Index: EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_ja_JP.rb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_ja_JP.rb	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/messages/messages_console_ja_JP.rb	(revision 321)
@@ -850,18 +761,14 @@
 
 # S2003 $1: $2 cannot have initializer"
-@@error_message[ :"S2003" ] = "$1: $2 ã¯åæåå­ããã¤ãã¨ãã§ãã¾ããï¼"
+@@error_message[ :"S2003" ] = "$1: $2 は初期化子をもつことができません．"
 
 # S2004 $1: array subscript must be specified or omit"
-@@error_message[ :"S2004" ] = "$1: é
-åæ·»æ°ã¯æå®ããããã¾ãã¯çç¥ãããå¿
-è¦ãããã¾ãï¼"
+@@error_message[ :"S2004" ] = "$1: 配列添数は指定されるかまたは省略される必要があります．"
 
 # S2005 $1: array subscript must be specified"
-@@error_message[ :"S2005" ] = "$1: é
-åæ·»æ°ã¯æå®ãããå¿
-è¦ãããã¾ãï¼"
+@@error_message[ :"S2005" ] = "$1: 配列添数は指定される必要があります．"
 
 # S2006 \'$1\' function"
-@@error_message[ :"S2006" ] = "\'$1\' é¢æ°ã§ãï¼"
+@@error_message[ :"S2006" ] = "\'$1\' 関数です．"
 
 # S2007 \'$1\' $2"
@@ -869,78 +776,75 @@
 
 # S2008 $1: inconsitent with previous one"
-@@error_message[ :"S2008" ] = "$1: ä»¥åã®ãã®ã¨ä¸è²«ãã¦ãã¾ããï¼"
+@@error_message[ :"S2008" ] = "$1: 以前のものと一貫していません．"
 
 # S2009 $1: not found or not signature"
-@@error_message[ :"S2009" ] = "$1: è¦ã¤ãããªããã¾ãã¯ã·ã°ããã£ã§ã¯ããã¾ããï¼"
+@@error_message[ :"S2009" ] = "$1: 見つからないかまたはシグニチャではありません．"
 
 # S2010 $1: not allocator signature"
-@@error_message[ :"S2010" ] = "$1: ã¢ã­ã±ã¼ã¿ã·ã°ããã£ã§ã¯ããã¾ããï¼"
+@@error_message[ :"S2010" ] = "$1: アロケータシグニチャではありません．"
 
 # S2011 size_is duplicate"
-@@error_message[ :"S2011" ] = "size_is ãéè¤ãã¦ãã¾ãï¼"
+@@error_message[ :"S2011" ] = "size_is が重複しています．"
 
 # S2012 count_is duplicate"
-@@error_message[ :"S2012" ] = "count_is ãéè¤ãã¦ãã¾ãï¼"
+@@error_message[ :"S2012" ] = "count_is が重複しています．"
 
 # S2013 string duplicate"
-@@error_message[ :"S2013" ] = "string ãéè¤ãã¦ãã¾ãï¼"
+@@error_message[ :"S2013" ] = "string が重複しています．"
 
 # S2014 $1 need pointer or more pointer"
-@@error_message[ :"S2014" ] = "$1 ã¯ä¸ã¤ä»¥ä¸ã®ãã¤ã³ã¿ãå¿
-è¦ã§ãï¼"
+@@error_message[ :"S2014" ] = "$1 は一つ以上のポインタが必要です．"
 
 # S2015 $1 must be const for \'in\' parameter $2"
-@@error_message[ :"S2015" ] = "'$1' ã¯ \'in\' ãã©ã¡ã¼ã¿ $2 ã«å¯¾ãã¦å®æ°ã§ããå¿
-è¦ãããã¾ãï¼"
+@@error_message[ :"S2015" ] = "'$1' は \'in\' パラメータ $2 に対して定数である必要があります．"
 
 # S2016 $1 can not be const for $2 parameter"
-@@error_message[ :"S2016" ] = "'$1' ã¯ $2 ãã©ã¡ã¼ã¿ã«å¯¾ãã¦å®æ°æå®ã§ãã¾ããï¼ "
+@@error_message[ :"S2016" ] = "'$1' は $2 パラメータに対して定数指定できません． "
 
 # S2017 size_is argument is not integer type"
-@@error_message[ :"S2017" ] = "size_is å¼æ°ãæ´æ°åã§ã¯ããã¾ããï¼"
+@@error_message[ :"S2017" ] = "size_is 引数が整数型ではありません．"
 
 # S2018 \'$1\' size_is parameter not integer"
-@@error_message[ :"S2018" ] = "\'$1\' size_is ãã©ã¡ã¼ã¿ã¯æ´æ°ã§ã¯ããã¾ããï¼"
+@@error_message[ :"S2018" ] = "\'$1\' size_is パラメータは整数ではありません．"
 
 # S2019 \'$1\' size_is parameter negative or zero"
-@@error_message[ :"S2019" ] = "\'$1\' size_is ãã©ã¡ã¼ã¿ãè² æ°ã¾ãã¯ã¼ã­ã§ãï¼"
+@@error_message[ :"S2019" ] = "\'$1\' size_is パラメータが負数またはゼロです．"
 
 # S2020 count_is argument is not integer type"
-@@error_message[ :"S2020" ] = "count_is å¼æ°ã¯æ´æ°åã§ã¯ããã¾ããï¼"
+@@error_message[ :"S2020" ] = "count_is 引数は整数型ではありません．"
 
 # S2021 \'$1\' count_is parameter not integer"
-@@error_message[ :"S2021" ] = "\'$1\' count_is ãã©ã¡ã¼ã¿ã¯æ´æ°åã§ã¯ããã¾ããï¼"
+@@error_message[ :"S2021" ] = "\'$1\' count_is パラメータは整数型ではありません．"
 
 # S2022 \'$1\' count_is parameter negative or zero"
-@@error_message[ :"S2022" ] = "\'$1\' count_is ãã©ã¡ã¼ã¿ã¯è² æ°ã¾ãã¯ã¼ã­ã§ãï¼"
+@@error_message[ :"S2022" ] = "\'$1\' count_is パラメータは負数またはゼロです．"
 
 # S2023 string argument is not integer type"
-@@error_message[ :"S2023" ] = "string å¼æ°ã¯æ´æ°åã§ã¯ããã¾ããï¼"
+@@error_message[ :"S2023" ] = "string 引数は整数型ではありません．"
 
 # S2024 \'$1\' string parameter not integer"
-@@error_message[ :"S2024" ] = "\'$1\' string ãã©ã¡ã¼ã¿ã¯æ´æ°åã§ã¯ããã¾ããï¼"
+@@error_message[ :"S2024" ] = "\'$1\' string パラメータは整数型ではありません．"
 
 # S2025 \'$1\' string parameter negative or zero"
-@@error_message[ :"S2025" ] = "\'$1\' string ãã©ã¡ã¼ã¿ã¯è² æ°ã¾ãã¯ã¼ã­ã§ãï¼"
+@@error_message[ :"S2025" ] = "\'$1\' string パラメータは負数またはゼロです．"
 
 # S2026 '$1' nullable specified for non-pointer type"
-@@error_message[ :"S2026" ] = "'$1' ãã¤ã³ã¿åä»¥å¤ã« nullable ãæå®ããã¾ãã"
+@@error_message[ :"S2026" ] = "'$1' ポインタ型以外に nullable が指定されました"
 
 # S2027 '$1' parameter cannot be void type"
-@@error_message[ :"S2027" ] = "'$1' å¼æ°ã void åã«ã§ãã¾ãã"
+@@error_message[ :"S2027" ] = "'$1' 引数を void 型にできません"
 
 # S2028 '$1' max (size_is 2nd parameter) not constant"
-@@error_message[ :"S2028" ] = "'$1' max (size_is ã®ç¬¬äºå¼æ°)ãå®æ°ã§ããã¾ãã"
+@@error_message[ :"S2028" ] = "'$1' max (size_is の第二引数)が定数でありません"
 
 # S2029 '$1' max (size_is 2nd parameter) negative or zero, or not integer"
-@@error_message[ :"S2029" ] = "'$1' max (size_is ã®ç¬¬äºå¼æ°) ãè² ãã¼ã­ã¾ãã¯æ´æ°ã§ã¯ããã¾ãã"
+@@error_message[ :"S2029" ] = "'$1' max (size_is の第二引数) が負、ゼロまたは整数ではありません"
 
 # S2030 '$1' both size_is and max are const. size_is larger than max"
-@@error_message[ :"S2030" ] = "'$1' size_is max ã®ä¸¡æ¹ãå®æ°ã§. size_is ã®æ¹ã max ãè¶
-ãã¦ãã¾ã"
+@@error_message[ :"S2030" ] = "'$1' size_is max の両方が定数で. size_is の方が max を超えています"
 
 ### optimize.rb
 # S3001 $1: id too large $2 (max=$3)"
-@@error_message[ :"S3001" ] = "$1: id ã« $2 ã¯å¤§ãããã¾ã (æå¤§å¤ã¯$3)"
+@@error_message[ :"S3001" ] = "$1: id に $2 は大きすぎます (最大値は$3)"
 
 # S3002 $1: id too large $2 (max=$3)"
@@ -948,138 +852,133 @@
 
 # S3003 $1: id number '$2' conflict with $3"
-@@error_message[ :"S3003" ] = "$1: id çªå· '$2' ã¯ $3 ã¨è¡çªãã¦ãã¾ã"
+@@error_message[ :"S3003" ] = "$1: id 番号 '$2' は $3 と衝突しています"
 
 ### types.rb
 # T1001 const duplicate"
-@@error_message[ :"T1001" ] = "const ãéè¤ãã¦ãã¾ãï¼"
+@@error_message[ :"T1001" ] = "const が重複しています．"
 
 # T1002 volatile duplicate"
-@@error_message[ :"T1002" ] = "volatile ãéè¤ãã¦ãã¾ãï¼"
+@@error_message[ :"T1002" ] = "volatile が重複しています．"
 
 # T1003 $1: unsuitable specifier for $2"
-@@error_message[ :"T1003" ] = "$1: $2 ã«å¯¾ããä¸é©åãªæå®å­ã§ãï¼"
+@@error_message[ :"T1003" ] = "$1: $2 に対する不適切な指定子です．"
 
 # T1004 cannot cast to $1"
-@@error_message[ :"T1004" ] = "$1 ã¸ã­ã£ã¹ãã§ãã¾ããï¼"
+@@error_message[ :"T1004" ] = "$1 へキャストできません．"
 
 # T1005 \'$1\' not defined"
-@@error_message[ :"T1005" ] = "\'$1\' ã¯å®ç¾©ããã¦ãã¾ããï¼"
+@@error_message[ :"T1005" ] = "\'$1\' は定義されていません．"
 
 # T1006 \'$1\' not type name. expecting type name here"
-@@error_message[ :"T1006" ] = "\'$1\' ã¯ååã§ã¯ããã¾ããï¼ããã¯ååãå¿
-è¦ã§ãï¼"
+@@error_message[ :"T1006" ] = "\'$1\' は型名ではありません．ここは型名が必要です．"
 
 # T1007 $1: void type variable cannot have initializer"
-@@error_message[ :"T1007" ] = "$1: void åå¤æ°ã¯åæåå­ããã¤ãã¨ãã§ãã¾ããï¼"
+@@error_message[ :"T1007" ] = "$1: void 型変数は初期化子をもつことができません．"
 
 # T1008 ambigous signed or unsigned"
-@@error_message[ :"T1008" ] = "ç¬¦å·ä»ãã§ãããã¾ãã¯ç¬¦å·ç¡ãã§ããããææ§ã§ãï¼"
+@@error_message[ :"T1008" ] = "符号付きであるかまたは符号無しであるかが曖昧です．"
 
 # T1009 $1: $2: not integer"
-@@error_message[ :"T1009" ] = "$1: $2: æ´æ°ã§ã¯ããã¾ããï¼"
+@@error_message[ :"T1009" ] = "$1: $2: 整数ではありません．"
 
 # T1010 $1: initializer is not constant"
-@@error_message[ :"T1010" ] = "$1: åæåå­ã¯å®æ°ã§ã¯ããã¾ããï¼"
+@@error_message[ :"T1010" ] = "$1: 初期化子は定数ではありません．"
 
 # T1011 $1: need cast to assign float to integer"
-@@error_message[ :"T1011" ] = "$1: æµ®åå°æ°ç¹åããæ´æ°åã¸å²ãå½ã¦ã®ããã«ã­ã£ã¹ããå¿
-è¦ã§ãï¼"
+@@error_message[ :"T1011" ] = "$1: 浮動小数点型から整数型へ割り当てのためにキャストが必要です．"
 
 # T1012 $1: $2: not integer"
-@@error_message[ :"T1012" ] = "$1: $2: æ´æ°ã§ã¯ããã¾ããï¼"
+@@error_message[ :"T1012" ] = "$1: $2: 整数ではありません．"
 
 # T1013 $1: too large (max=$2)"
-@@error_message[ :"T1013" ] = "$1: å¤ãå¤§ãããã¾ã (max=$2)"
+@@error_message[ :"T1013" ] = "$1: 値が大きすぎます (max=$2)"
 
 # T1014 $1: too large negative value (min=-$2)"
-@@error_message[ :"T1014" ] = "$1: è² æ°ã®çµ¶å¯¾å¤ãå¤§ãããã¾ãï¼(min=-$2)"
+@@error_message[ :"T1014" ] = "$1: 負数の絶対値が大きすぎます．(min=-$2)"
 
 # T1015 $1: negative value for unsigned"
-@@error_message[ :"T1015" ] = "$1: ç¬¦å·ç¡ãæ´æ°åã«å¯¾ãè² æ°å¤ãä½¿ç¨ããã¦ãã¾ãï¼"
+@@error_message[ :"T1015" ] = "$1: 符号無し整数型に対し負数値が使用されています．"
 
 # T1016 $1: too large (max=$2)"
-@@error_message[ :"T1016" ] = "$1: å¤ãå¤§ãããã¾ãï¼(max=$2)"
+@@error_message[ :"T1016" ] = "$1: 値が大きすぎます．(max=$2)"
 
 # T1017 $1: unsuitable initializer for scalar type"
-@@error_message[ :"T1017" ] = "$1: ã¹ã«ã©ã¼åã«å¯¾ããä¸é©å½ãªåæåå­ã§ãï¼"
+@@error_message[ :"T1017" ] = "$1: スカラー型に対する不適当な初期化子です．"
 
 # T1018 $1: $2: not number"
-@@error_message[ :"T1018" ] = "$1: $2: æ°å¤ã§ã¯ããã¾ããï¼"
+@@error_message[ :"T1018" ] = "$1: $2: 数値ではありません．"
 
 # T1019 $1: initializer is not constant"
-@@error_message[ :"T1019" ] = "$1: åæåå­ã¯å®æ°ã§ã¯ããã¾ããï¼"
+@@error_message[ :"T1019" ] = "$1: 初期化子は定数ではありません．"
 
 # T1020 $1: unsuitable initializer for scalar type"
-@@error_message[ :"T1020" ] = "$1: ã¹ã«ã©ã¼åã«å¯¾ããä¸é©å½ãªåæåå­ã§ãï¼"
+@@error_message[ :"T1020" ] = "$1: スカラー型に対する不適当な初期化子です．"
 
 # T1021 \'$1\': struct not defined"
-@@error_message[ :"T1021" ] = "\'$1\': æ§é ä½ãå®ç¾©ããã¦ãã¾ããï¼"
+@@error_message[ :"T1021" ] = "\'$1\': 構造体が定義されていません．"
 
 # T1022 struct $1: not defined"
-@@error_message[ :"T1022" ] = "æ§é ä½ $1: å®ç¾©ããã¦ãã¾ããï¼"
+@@error_message[ :"T1022" ] = "構造体 $1: 定義されていません．"
 
 # T1023 struct $1: not defined"
-@@error_message[ :"T1023" ] = "æ§é ä½ $1: å®ç¾©ããã¦ãã¾ããï¼"
+@@error_message[ :"T1023" ] = "構造体 $1: 定義されていません．"
 
 # T1024 $1: unsuitable initializer for struct"
-@@error_message[ :"T1024" ] = "$1: æ§é ä½ã«å¯¾ããä¸é©å½ãªåæåå­ã§ãï¼"
+@@error_message[ :"T1024" ] = "$1: 構造体に対する不適当な初期化子です．"
 
 # T1025 size_is argument is not integer type"
-@@error_message[ :"T1025" ] = "size_is å¼æ° ã¯æ´æ°åã§ã¯ããã¾ããï¼"
+@@error_message[ :"T1025" ] = "size_is 引数 は整数型ではありません．"
 
 # T1026 count_is argument is not integer type"
-@@error_message[ :"T1026" ] = "count_is å¼æ° ã¯æ´æ°åã§ã¯ããã¾ããï¼"
+@@error_message[ :"T1026" ] = "count_is 引数 は整数型ではありません．"
 
 # T1027 string argument is not integer type"
-@@error_message[ :"T1027" ] = "string å¼æ°ã¯æ´æ°åã§ã¯ããã¾ããï¼"
+@@error_message[ :"T1027" ] = "string 引数は整数型ではありません．"
 
 # T1028 $1: cannot initialize function pointer"
-@@error_message[ :"T1028" ] = "$1: é¢æ°ãã¤ã³ã¿ãåæåãããã¨ã¯ã§ãã¾ããï¼"
+@@error_message[ :"T1028" ] = "$1: 関数ポインタを初期化することはできません．"
 
 # T1029 oneway function cannot return type \'$1$2\', \'void\' or \'ER\' is permitted"
-@@error_message[ :"T1029" ] = "ä¸æ¹åé¢æ°ã¯å \'$1$2\' ãè¿ããã¨ãã§ãã¾ããï¼\'void\' ã¾ãã¯ \'ER\' ãä½¿ç¨ã§ãã¾ãï¼"
+@@error_message[ :"T1029" ] = "一方向関数は型 \'$1$2\' を返すことができません．\'void\' または \'ER\' が使用できます．"
 
 # T1030 oneway function cannot have $1 parameter for \'$2\'"
-@@error_message[ :"T1030" ] = "ä¸æ¹åé¢æ°ã¯ \'$2\' ã®ããã« $1 ãã©ã¡ã¼ã¿ãæã¤ãã¨ãã§ãã¾ããï¼"
+@@error_message[ :"T1030" ] = "一方向関数は \'$2\' のために $1 パラメータを持つことができません．"
 
 # T1031 $1: unsuitable initializer for array"
-@@error_message[ :"T1031" ] = "$1: é
-åã«å¯¾ããä¸é©å½ãªåæåå­ã§ãï¼"
+@@error_message[ :"T1031" ] = "$1: 配列に対する不適当な初期化子です．"
 
 # T1032 $1: incompatible pointer type"
-@@error_message[ :"T1032" ] = "$1: äºææ§ã®ãªããã¤ã³ã¿åã§ãï¼"
+@@error_message[ :"T1032" ] = "$1: 互換性のないポインタ型です．"
 
 # T1033 $1: need cast to assign integer to pointer"
-@@error_message[ :"T1033" ] = "$1: æ´æ°åããã¤ã³ã¿ã¸å²ãå½ã¦ãããã«ã¯ã­ã£ã¹ããå¿
-è¦ã§ãï¼"
+@@error_message[ :"T1033" ] = "$1: 整数型をポインタへ割り当てるためにはキャストが必要です．"
 
 # T1034 $1: unsuitable string constant"
-@@error_message[ :"T1034" ] = "$1: ä¸é©å½ãªæå­åå®æ°ã§ãï¼"
+@@error_message[ :"T1034" ] = "$1: 不適当な文字列定数です．"
 
 # T1035 $1: unsuitable initializer for pointer"
-@@error_message[ :"T1035" ] = "$1: ãã¤ã³ã¿ã«å¯¾ããä¸é©å½ãªåæåå­ã§ãï¼"
+@@error_message[ :"T1035" ] = "$1: ポインタに対する不適当な初期化子です．"
 
 # T1036 $1: unsuitable initializer for pointer"
-@@error_message[ :"T1036" ] = "$1: ãã¤ã³ã¿ã«å¯¾ããä¸é©å½ãªåæåå­ã§ãï¼"
+@@error_message[ :"T1036" ] = "$1: ポインタに対する不適当な初期化子です．"
 
 # T1037 $1: not number"
-@@error_message[ :"T1037" ] = "$1: æ°å¤ã§ã¯ããã¾ãã"
+@@error_message[ :"T1037" ] = "$1: 数値ではありません"
 
 # T1038 $1: initializer type mismatch. '$2' & '$3'"
-@@error_message[ :"T1038" ] = "$1: åæåå­ã®åãä¸è´ãã¾ãã. '$2' ã¨ '$3'"
+@@error_message[ :"T1038" ] = "$1: 初期化子の型が一致しません. '$2' と '$3'"
 
 # T1039 $1: struct tag mismatch $2 and $3"
-@@error_message[ :"T1039" ] = "$1: æ§é ä½ã¿ã°ã $2 ã¨ $3 ã§ä¸è´ãã¾ãã"
+@@error_message[ :"T1039" ] = "$1: 構造体タグが $2 と $3 で一致しません"
 
 # T1040 $1 specified for void pointer type"
-@@error_message[ :"T1040" ] = "$1 void ãã¤ã³ã¿åã«æå®ããã¾ãã"
+@@error_message[ :"T1040" ] = "$1 void ポインタ型に指定されました"
 
 ### gen_xml.rb
 # T2001 fail to create XML file $1"
-@@error_message[ :"T2001" ] = "XML ãã¡ã¤ã« $1 ã®çæã«å¤±æãã¾ãã"
+@@error_message[ :"T2001" ] = "XML ファイル $1 の生成に失敗しました"
 
 # TEMPORAL set_definition_join: uninitialized array member"
-@@error_message[ :"TEMPORAL" ] = "set_definition_join: é
-åã¡ã³ããåæåããã¦ãã¾ããï¼"
+@@error_message[ :"TEMPORAL" ] = "set_definition_join: 配列メンバが初期化されていません．"
 
 # V1001 $1: unable for $2"
@@ -1087,88 +986,88 @@
 
 # V1002 $1: cannot cast to bool (implicitly)"
-@@error_message[ :"V1002" ] = "$1: ãã¼ã«åã¸ã®(æé»çãª)ã­ã£ã¹ããè¡ããã¨ãã§ãã¾ããï¼"
+@@error_message[ :"V1002" ] = "$1: ブール型への(暗黙的な)キャストを行うことができません．"
 
 # V1003 $1: cannot cast to integer (implicitly)"
-@@error_message[ :"V1003" ] = "$1: æ´æ°åã¸ã®(æé»çãª)ã­ã£ã¹ããè¡ããã¨ãã§ãã¾ããï¼"
+@@error_message[ :"V1003" ] = "$1: 整数型への(暗黙的な)キャストを行うことができません．"
 
 # V1004 $1: cannot cast to float (implicitly)"
-@@error_message[ :"V1004" ] = "$1: æµ®åå°æ°ç¹åã¸ã®(æé»çãª)ã­ã£ã¹ããè¡ããã¨ãã§ãã¾ããï¼"
+@@error_message[ :"V1004" ] = "$1: 浮動小数点型への(暗黙的な)キャストを行うことができません．"
 
 # V1005 Cannot cast pointer to float"
-@@error_message[ :"V1005" ] = "ãã¤ã³ã¿åãæµ®åå°æ°ç¹åã¸ã­ã£ã¹ããè¡ããã¨ãã§ãã¾ããï¼"
+@@error_message[ :"V1005" ] = "ポインタ型を浮動小数点型へキャストを行うことができません．"
 
 # V1006 pointer value cannot cast to $1"
-@@error_message[ :"V1006" ] = "ãã¤ã³ã¿å¤ã¯ $1 ã¸ã­ã£ã¹ããè¡ããã¨ãã§ãã¾ããï¼"
+@@error_message[ :"V1006" ] = "ポインタ値は $1 へキャストを行うことができません．"
 
 # V1007 convert pointer value to bool"
-@@error_message[ :"V1007" ] = "ãã¤ã³ã¿å¤ããã¼ã«åã¸å¤æãã¾ããï¼"
+@@error_message[ :"V1007" ] = "ポインタ値をブール型へ変換しました．"
 
 # V1008 convert pointer value to integer without cast"
-@@error_message[ :"V1008" ] = "ãã¤ã³ã¿å¤ãã­ã£ã¹ãç¡ãã§æ´æ°åã¸å¤æãã¾ããï¼"
+@@error_message[ :"V1008" ] = "ポインタ値をキャスト無しで整数型へ変換しました．"
 
 # V1009 / : divieded by zero"
-@@error_message[ :"V1009" ] = "/ : ã¼ã­é¤ç®ã¨ã©ã¼ã§ãï¼"
+@@error_message[ :"V1009" ] = "/ : ゼロ除算エラーです．"
 
 # V1010 / : divieded by zero"
-@@error_message[ :"V1010" ] = "/ : ã¼ã­é¤ç®ã¨ã©ã¼ã§ãï¼"
+@@error_message[ :"V1010" ] = "/ : ゼロ除算エラーです．"
 
 # V1011 % : divieded by zero"
-@@error_message[ :"V1011" ] = "% : ã¼ã­é¤ç®ã¨ã©ã¼ã§ãï¼"
+@@error_message[ :"V1011" ] = "% : ゼロ除算エラーです．"
 
 # V1012 % : divieded by zero"
-@@error_message[ :"V1012" ] = "% : ã¼ã­é¤ç®ã¨ã©ã¼ã§ãï¼"
+@@error_message[ :"V1012" ] = "% : ゼロ除算エラーです．"
 
 # V1013 integer value cannot cast to $1"
-@@error_message[ :"V1013" ] = "æ´æ°å¤ã¯ $1 ã¸ã­ã£ã¹ããè¡ããã¨ãã§ãã¾ããï¼"
+@@error_message[ :"V1013" ] = "整数値は $1 へキャストを行うことができません．"
 
 # V1014 comparing bool value with \'$1\'"
-@@error_message[ :"V1014" ] = "ãã¼ã«å¤ã \'$1\' ã¨æ¯è¼ãã¾ããï¼"
+@@error_message[ :"V1014" ] = "ブール値を \'$1\' と比較しました．"
 
 # V1015 comparing bool value with \'$1\'"
-@@error_message[ :"V1015" ] = "ãã¼ã«å¤ã \'$1\' ã¨æ¯è¼ãã¾ããï¼"
+@@error_message[ :"V1015" ] = "ブール値を \'$1\' と比較しました．"
 
 # V1016 bool value cannot cast to $1"
-@@error_message[ :"V1016" ] = "ãã¼ã«å¤ã¯ $1 ã¸ã­ã£ã¹ããè¡ããã¨ãã§ãã¾ããï¼"
+@@error_message[ :"V1016" ] = "ブール値は $1 へキャストを行うことができません．"
 
 # V1017 / : divieded by zero"
-@@error_message[ :"V1017" ] = "/ : ã¼ã­é¤ç®ã¨ã©ã¼ã§ãï¼"
+@@error_message[ :"V1017" ] = "/ : ゼロ除算エラーです．"
 
 # V1018 % : divieded by zero"
-@@error_message[ :"V1018" ] = "% : ã¼ã­é¤ç®ã¨ã©ã¼ã§ãï¼"
+@@error_message[ :"V1018" ] = "% : ゼロ除算エラーです．"
 
 # V1019 floating value cannot cast to $1"
-@@error_message[ :"V1019" ] = "æµ®åå°æ°ç¹å¤ã¯ $1 ã¸ã®ã­ã£ã¹ããè¡ããã¨ãã§ãã¾ããï¼"
+@@error_message[ :"V1019" ] = "浮動小数点値は $1 へのキャストを行うことができません．"
 
 # V1020 convert floating value to bool without cast"
-@@error_message[ :"V1020" ] = "æµ®åå°æ°ç¹å¤ãã­ã£ã¹ãç¡ãã§ãã¼ã«åã¸å¤æãã¾ããï¼"
+@@error_message[ :"V1020" ] = "浮動小数点値をキャスト無しでブール型へ変換しました．"
 
 # V1021 convert floating value to integer without cast"
-@@error_message[ :"V1021" ] = "æµ®åå°æ°ç¹åãã­ã£ã¹ãç¡ãã§æ´æ°åã¸å¤æãã¾ããï¼"
+@@error_message[ :"V1021" ] = "浮動小数点型をキャスト無しで整数型へ変換しました．"
 
 # V1022 string cannot cast to integer"
-@@error_message[ :"V1022" ] = "æå­åã¯æ´æ°åã«ã­ã£ã¹ãã§ãã¾ãã"
+@@error_message[ :"V1022" ] = "文字列は整数型にキャストできません"
 
 # V1023 string cannot cast to float"
-@@error_message[ :"V1023" ] = "æå­åã¯æµ®åå°æ°ç¹åã«ã­ã£ã¹ãã§ãã¾ãã"
+@@error_message[ :"V1023" ] = "文字列は浮動小数点型にキャストできません"
 
 # V1024 string cannot cast to pointer"
-@@error_message[ :"V1024" ] = "æå­åã¯ãã¤ã³ã¿åã«ã­ã£ã¹ãã§ãã¾ãã"
+@@error_message[ :"V1024" ] = "文字列はポインタ型にキャストできません"
 
 # V1025 string cannot cast to $1"
-@@error_message[ :"V1025" ] = "æå­åã¯ $1 ã«ã­ã£ã¹ãã§ãã¾ãã"
+@@error_message[ :"V1025" ] = "文字列は $1 にキャストできません"
 
 ###
-# warning ã¡ãã»ã¼ã¸
+# warning メッセージ
 @@warning_message = {}
 
 ### componentobj.rb
 # W1001 \'$1\': unknown context type. usually specifiy task, non-task or any"
-@@warning_message[ :"W1001" ] = "\'$1\': ä¸æãªã³ã³ãã­ã¹ãåã§ãï¼éå¸¸ task, non-task ã¾ãã¯ any ãæå®ãã¦ä¸ããï¼"
+@@warning_message[ :"W1001" ] = "\'$1\': 不明なコンテキスト型です．通常 task, non-task または any を指定して下さい．"
 
 # W1002 $1: non-active celltype has no entry port & factory"
-@@warning_message[ :"W1002" ] = "$1: éã¢ã¯ãã£ããªã»ã«ã¿ã¤ããåãå£åã³ãã¡ã¯ããªãæã£ã¦ãã¾ããï¼"
+@@warning_message[ :"W1002" ] = "$1: 非アクティブなセルタイプが受け口及びファクトリを持っていません．"
 
 # W1003 $1 : require call port overridden in $2"
-@@warning_message[ :"W1003" ] = "$1 : ãªã¯ã¯ã¤ã¢å¼ã³å£ã $2 ã§ãªã¼ãã¼ã©ã¤ãããã¾ããï¼"
+@@warning_message[ :"W1003" ] = "$1 : リクワイア呼び口が $2 でオーバーライドされました．"
 
 # W1004 $1 : specified singleton but has no singleton in this celltype"
@@ -1176,102 +1075,96 @@
 
 # W1005 $1 : idx_is_id is ineffective for composite celltype"
-@@warning_message[ :"W1005" ] = "$1 : idx_is_id ã¯è¤åã»ã«ã¿ã¤ãã«å¯¾ãã¦ã¯ç¡å¹ã§ãï¼"
+@@warning_message[ :"W1005" ] = "$1 : idx_is_id は複合セルタイプに対しては無効です．"
 
 # W1006 $1 : only prototype, unused and undefined cell"
-@@warning_message[ :"W1006" ] = "$1 : ãã­ãã¿ã¤ãã®ã¿ï¼æªä½¿ç¨ï¼ãã¤æªå®ç¾©ã®ã»ã«ã§ãï¼"
+@@warning_message[ :"W1006" ] = "$1 : プロトタイプのみ，未使用，かつ未定義のセルです．"
 
 # W1007 $1 : non-active cell has no entry join and no factory"
-@@warning_message[ :"W1007" ] = "$1 : éã¢ã¯ãã£ãã»ã«ã«åãå£ã®çµååã³ãã¡ã¯ããªãããã¾ããï¼"
+@@warning_message[ :"W1007" ] = "$1 : 非アクティブセルに受け口の結合及びファクトリがありません．"
 
 # W1008 $1: reuse designation mismatch with previous import"
-@@warning_message[ :"W1008" ] = "$1: åä½¿ç¨ã®æç¤ºãä»¥åã®ã¤ã³ãã¼ãã®ã¨æ´åãã¾ããï¼"
+@@warning_message[ :"W1008" ] = "$1: 再使用の指示が以前のインポートのと整合しません．"
 
 # "W1009 $1: fixed join entry port has multi join"
-@@warning_message[ :"W1009" ] = "$1: åºå®çµååãå£ãè¤æ°ã®çµåãæã£ã¦ãã¾ãï¼"
+@@warning_message[ :"W1009" ] = "$1: 固定結合受け口が複数の結合を持っています．"
 
 ### types.rb
 # W2001 signed int$1_t: obsolete. use int$2_t"
-@@warning_message[ :"W2001" ] = "signed int$1_t: æ¨å¥¨ããã¾ããï¼int$2_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W2001" ] = "signed int$1_t: 推奨されません．int$2_t をお使いください．"
 
 # W2002 unsinged int$1_t: obsolete. use uint$2_t"
-@@warning_message[ :"W2002" ] = "unsinged int$1_t: æ¨å¥¨ããã¾ããï¼uint$2_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W2002" ] = "unsinged int$1_t: 推奨されません．uint$2_t をお使いください．"
 
 # W2003 $1: too large to cast to $2, clipped($3)"
-@@warning_message[ :"W2003" ] = "$1: $2 ã¸ã­ã£ã¹ãããã®ã«å¤§ãããã¾ãï¼åãè©°ãã¾ãã($3)"
+@@warning_message[ :"W2003" ] = "$1: $2 へキャストするのに大きすぎます．切り詰めました($3)"
 
 # W2004 $1: too small to cast to $2, clipped($3)"
-@@warning_message[ :"W2004" ] = "$1: $2 ã¸ã­ã£ã¹ãããã®ã«å°ãããã¾ãï¼åãè©°ãã¾ãã($3)"
+@@warning_message[ :"W2004" ] = "$1: $2 へキャストするのに小さすぎます．切り詰めました($3)"
 
 # W2005 $1: negative value for unsigned: convert to $2"
-@@warning_message[ :"W2005" ] = "$1: ç¬¦å·ç¡ãæ´æ°åã«å¯¾ãã¦è² æ°å¤ã§ã : $2 ã¸å¤æãã¾ããï¼"
+@@warning_message[ :"W2005" ] = "$1: 符号無し整数型に対して負数値です : $2 へ変換しました．"
 
 ### syntaxobj.rb
 # W3001 $1: duplicate"
-@@warning_message[ :"W3001" ] = "$1: éè¤ãã¦ãã¾ãï¼"
+@@warning_message[ :"W3001" ] = "$1: 重複しています．"
 
 # W3002 $1: this string might cause buffer over run"
-@@warning_message[ :"W3002" ] = "$1: ãã®æå­åã¯ãããã¡ã¼ãªã¼ãã¼ã©ã³ãå¼ãèµ·ããããããã¾ããï¼"
+@@warning_message[ :"W3002" ] = "$1: この文字列はバッファーオーバーランを引き起こすかもしれません．"
 
 # W3003 $1 pointer level mismatch"
-@@warning_message[ :"W3003" ] = "$1 ãã¤ã³ã¿ã¼ã¬ãã«ã®ä¸æ´åã§ãï¼"
+@@warning_message[ :"W3003" ] = "$1 ポインターレベルの不整合です．"
 
 # W3004 $1 pointer type has returned. specify deviate or stop return pointer"
-@@error_message[ :"W3004" ] = "$1 ãã¤ã³ã¿åãè¿ããã¾ãããdeviate ãæå®ããããã¤ã³ã¿ãè¿ãã®ãæ­¢ãã¦ãã ãã"
+@@error_message[ :"W3004" ] = "$1 ポインタ型が返されました。deviate を指定するかポインタを返すのを止めてください"
 
 # W3005 '$1' size_is always lower than max. max is ignored"
-@@error_message[ :"W3005" ] = "'$1' size_is ã¯å¸¸ã« max ããå°ãã. max ã¯ç¡è¦ããã¾ã"
+@@error_message[ :"W3005" ] = "'$1' size_is は常に max より小さい. max は無視されます"
 
 ### bnf.y.rb
 # W5001 bool: obsolete type. use bool_t"
-@@warning_message[ :"W5001" ] = "bool: æ¨å¥¨ãããªããã¼ã¿åã§ãï¼bool_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5001" ] = "bool: 推奨されないデータ型です．bool_t をお使いください．"
 
 # W5002 float: obsolete type. use float32_t"
-@@warning_message[ :"W5002" ] = "float: æ¨å¥¨ãããªããã¼ã¿åã§ãï¼float32_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5002" ] = "float: 推奨されないデータ型です．float32_t をお使いください．"
 
 # W5003 double: obsolete type. use double64_t"
-@@warning_message[ :"W5003" ] = "double: æ¨å¥¨ãããªããã¼ã¿åã§ãï¼double64_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5003" ] = "double: 推奨されないデータ型です．double64_t をお使いください．"
 
 # W5004 char: obsolete type. use char_t"
-@@warning_message[ :"W5004" ] = "char: æ¨å¥¨ãããªããã¼ã¿åã§ãï¼char_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5004" ] = "char: 推奨されないデータ型です．char_t をお使いください．"
 
 # W5005 int8: obsolete. use int8_t"
-@@warning_message[ :"W5005" ] = "int8: æ¨å¥¨ããã¾ããï¼int8_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5005" ] = "int8: 推奨されません．int8_t をお使いください．"
 
 # W5006 int16: obsolete. use int16_t"
-@@warning_message[ :"W5006" ] = "int16: æ¨å¥¨ããã¾ããï¼int16_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5006" ] = "int16: 推奨されません．int16_t をお使いください．"
 
 # W5007 int32: obsolete. use int32_t"
-@@warning_message[ :"W5007" ] = "int32: æ¨å¥¨ããã¾ããï¼int32_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5007" ] = "int32: 推奨されません．int32_t をお使いください．"
 
 # W5008 int64: obsolete. use int64_t"
-@@warning_message[ :"W5008" ] = "int64: æ¨å¥¨ããã¾ããï¼int64_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5008" ] = "int64: 推奨されません．int64_t をお使いください．"
 
 # W5009 int64: obsolete. use int64_t"
-@@warning_message[ :"W5009" ] = "int64: æ¨å¥¨ããã¾ããï¼int64_t ããä½¿ããã ããï¼"
+@@warning_message[ :"W5009" ] = "int64: 推奨されません．int64_t をお使いください．"
 
 # W5010 need 'void' for no parameter"
-@@warning_message[ :"W5010" ] = "ãã©ã¡ã¼ã¿ãå­å¨ããªãå ´å 'void' ãå¿
-è¦ã§ã"
+@@warning_message[ :"W5010" ] = "パラメータが存在しない場合 'void' が必要です"
 
 # W5011 need 'void' for no parameter"
-@@warning_message[ :"W5011" ] = "ãã©ã¡ã¼ã¿ãå­å¨ããªãå ´å 'void' ãå¿
-è¦ã§ã"
+@@warning_message[ :"W5011" ] = "パラメータが存在しない場合 'void' が必要です"
 
 ### C_parser.y.rb
 # W6001 need 'void' for no parameter"
-@@warning_message[ :"W6001" ] = "ãã©ã¡ã¼ã¿ãå­å¨ããªãå ´å 'void' ãå¿
-è¦ã§ã"
+@@warning_message[ :"W6001" ] = "パラメータが存在しない場合 'void' が必要です"
 
 # W6002 need 'void' for no parameter"
-@@warning_message[ :"W6002" ] = "ãã©ã¡ã¼ã¿ãå­å¨ããªãå ´å 'void' ãå¿
-è¦ã§ã"
+@@warning_message[ :"W6002" ] = "パラメータが存在しない場合 'void' が必要です"
 
 # W6003 need 'void' for no parameter"
-@@warning_message[ :"W6003" ] = "ãã©ã¡ã¼ã¿ãå­å¨ããªãå ´å 'void' ãå¿
-è¦ã§ã"
+@@warning_message[ :"W6003" ] = "パラメータが存在しない場合 'void' が必要です"
 
 # W6004 need 'void' for no parameter"
-@@warning_message[ :"W6004" ] = "ãã©ã¡ã¼ã¿ãå­å¨ããªãå ´å 'void' ãå¿
-è¦ã§ã"
+@@warning_message[ :"W6004" ] = "パラメータが存在しない場合 'void' が必要です"
 
 end
